<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__system__config__globals" kind="group">
    <compoundname>group_system_config_globals</compoundname>
    <title>Global Variables</title>
      <sectiondef kind="var">
      <memberdef id="group__group__system__config__globals_1gaa3cd3e43291e81e795d642b79b6088e6" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t SystemCoreClock</definition>
        <argsstring />
        <name>SystemCoreClock</name>
        <briefdescription>
<para>Holds the SlowClk (Cortex-M0+) or FastClk (Cortex-M4) system core clock, which is the system clock frequency supplied to the SysTick timer and the processor core clock. </para>        </briefdescription>
        <detaileddescription>
<para>This variable implements CMSIS Core global variable. Refer to the <ulink url="http://www.keil.com/pack/doc/CMSIS/Core/html/group__system__init__gr.html">CMSIS documentation</ulink> for more details. This variable can be used by debuggers to query the frequency of the debug timer or to configure the trace clock speed.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition attention"&gt;&lt;p class="admonition-title"&gt;attention&lt;/p&gt;&lt;p&gt;&lt;p&gt;Compilers must be configured to avoid removing this variable in case the application program is not using it. Debugging systems require the variable to be physically present in memory so that it can be examined to configure the debugger. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM0P/system_psoc6_cm0plus.c" bodystart="76" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/system_psoc6.h" line="660" />
      </memberdef>
      <memberdef id="group__group__system__config__globals_1gad6c61e43c7d81802c759a8f0046bdc12" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_BleEcoClockFreqHz</definition>
        <argsstring />
        <name>cy_BleEcoClockFreqHz</name>
        <briefdescription>
<para>Holds the Alternate high frequency clock in Hz. </para>        </briefdescription>
        <detaileddescription>
<para>Updated by <ref kindref="member" refid="group__group__ble__clk__functions_1gae92f61cd532c63d9547c52ccd6757ff7">Cy_BLE_EcoConfigure()</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM0P/system_psoc6_cm0plus.c" bodystart="85" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/system_psoc6.h" line="661" />
      </memberdef>
      <memberdef id="group__group__system__config__globals_1ga4bc88bcbc1ed608c76279ecb565b1f03" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_Hfclk0FreqHz</definition>
        <argsstring />
        <name>cy_Hfclk0FreqHz</name>
        <briefdescription>
<para>Holds the HFClk0 clock frequency. </para>        </briefdescription>
        <detaileddescription>
<para>Updated by <ref kindref="member" refid="group__group__system__config__system__functions_1gae0c36a9591fe6e9c45ecb21a794f0f0f">SystemCoreClockUpdate()</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM0P/system_psoc6_cm0plus.c" bodystart="79" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/system_psoc6.h" line="662" />
      </memberdef>
      <memberdef id="group__group__system__config__globals_1ga05a91295faafbe3095f7c51291fe4b1a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_PeriClkFreqHz</definition>
        <argsstring />
        <name>cy_PeriClkFreqHz</name>
        <briefdescription>
<para>Holds the PeriClk clock frequency. </para>        </briefdescription>
        <detaileddescription>
<para>Updated by <ref kindref="member" refid="group__group__system__config__system__functions_1gae0c36a9591fe6e9c45ecb21a794f0f0f">SystemCoreClockUpdate()</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/COMPONENT_CM0P/system_psoc6_cm0plus.c" bodystart="82" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/system_psoc6.h" line="663" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>